This commit is contained in:
2023-01-26 21:14:40 +00:00
parent 7bd647a7a0
commit a293155787
28 changed files with 666 additions and 501 deletions

View File

@@ -1,10 +1,6 @@
#!/usr/bin/env bash
#!/usr/bin/env sh
# Ensure target is defined
[ -z "$1" ] && { echo >&2 "Error: Build target not defined. Aborting."; exit 1; }
# Test rsync is installed and ENV variables are set
hash rsync 2>/dev/null || { echo >&2 "Error: rsync is not installed. Aborting."; exit 1; }
# Test environment variables are set
[ -z "$SSH_IP" ] && { echo >&2 "Error: SSH_IP is missing. Aborting."; exit 1; }
[ -z "$SSH_USER" ] && { echo >&2 "Error: SSH_USER is missing. Aborting."; exit 1; }